// ==UserScript==
// @name           纳米盘直接下载
// @namespace      namipan_downloader
// @include        http://www.namipan.com/d/*
// @version        0.1
// ==/UserScript==

var e=document.getElementsByTagName("a");
for (var i=0;i<e.length;i++)
{
	if(e[i].href.indexOf("javascript:AddLink(")==0)
	{
		var s=e[i].href.replace(/^javascript:AddLink\('/,"");
		s=s.replace(/'\)$/,"");
		e[i].href=s;
		e[i].innerHTML="直接下载";
	}
}